[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMergedMenuItems.Create

Constructor for the class instance.

## Declaration

Source position: menus.pp line 131

`public constructor TMergedMenuItems.Create(`
`const aParent: TMenuItem`
`);`

## Arguments

`aParent` |  | Menu item with the merged menu items for the container.

## Description

Create is the constructor for the class instance, and calls the inherited method on entry. Create allocates resources needed for the internal storage in the container.

AParent is the TMenuItem instance that is the parent for the merged menu items. Values in its Merged property are added or updated in the visible or hidden sections for the container based on the Visible property for the menu items.